=== debian/changelog ===
xbyak (6.01-1) unstable; urgency=medium

  * New upstream version 6.01
  * d/control: add Vcs fields
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 12 Jan 2022 23:11:02 +0100

xbyak (6.00-2) unstable; urgency=medium

  * Backport b29e471 (CMake Config file include path fix)
  * d/control: remove Vcs-* fields, as no vcs is used
  * d/upstream/metadata: update Documentation and Changelog fields
  * d/watch: use /tags instead of /releases

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 20 Nov 2021 22:04:30 +0100

xbyak (6.00-1) unstable; urgency=low

  * Initial release. Closes: #995760

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 05 Oct 2021 10:29:03 +0200
