=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none" \
https://github.com/herumi/@PACKAGE@/tags .*/v@ANY_VERSION@\.tar\.gz debian uupdate
