=== gen/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 TARGET=../xbyak/xbyak_mnemonic.h
 BIN=sortline gen_code gen_avx512
 CFLAGS=-I../ -O2 -DXBYAK_NO_OP_NAMES -Wall -Wextra -Wno-missing-field-initializers
-all: $(TARGET) ../CMakeLists.txt
+all: $(TARGET) ../CMakeLists.txt ../meson.build
 sortline: sortline.cpp
 	$(CXX) $(CFLAGS) $< -o $@
 gen_code: gen_code.cpp ../xbyak/xbyak.h avx_type.hpp
@@ -24,7 +24,10 @@
 
 VER=$(shell head -n 1 ../xbyak/xbyak_mnemonic.h|grep -o "[0-9.]*")
 ../CMakeLists.txt: $(TARGET)
-	sed -i -e 's/CXX VERSION [0-9.]*/CXX VERSION $(VER)/' ../CMakeLists.txt
+	sed -i -e 's/CXX VERSION [0-9.]*/CXX VERSION $(VER)/' $@
+
+../meson.build: $(TARGET)
+	sed -i -e "s/version: '[0-9.]*',/version: '$(VER)',/" $@
 
 clean:
 	$(RM) $(BIN) $(TARGET)
