=== debian/changelog ===
xbyak (6.02-1) unstable; urgency=medium

  * New upstream version 6.02

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 13 Feb 2022 22:40:01 +0100
