=== debian/changelog ===
xbyak (6.052-1) unstable; urgency=medium

  * New upstream version 6.052
  * d/upstream/metadata: update paths

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 26 May 2022 13:22:26 +0200

xbyak (6.04-1) unstable; urgency=medium

  * New upstream version 6.04
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 18 Apr 2022 21:02:22 +0200

xbyak (6.03-1) unstable; urgency=medium

  * New upstream version 6.03
  * d/{control,rules}: build examples and run tests
  * d/tests: add autopkgtests

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 13 Mar 2022 00:48:30 +0100
