=== debian/changelog ===
xbyak (6.60.2-1) unstable; urgency=medium

  * New upstream version 6.60.2

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 16 Jun 2022 23:30:22 +0200
