=== debian/control ===
--- 
+++ 
@@ -5,6 +5,10 @@
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.50),
                cmake
+Build-Depends-Arch: g++-multilib <!nocheck>,
+                    libboost-dev <!nocheck>,
+                    nasm <!nocheck>,
+                    yasm <!nocheck>
 Standards-Version: 4.6.0
 Homepage: https://github.com/herumi/xbyak
 Rules-Requires-Root: no
