=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all
# -Werror=array-bounds: added by qa=+bug, triggers some false positives
export DEB_CXXFLAGS_MAINT_STRIP = -Werror=array-bounds

%:
	dh $@ --buildsystem=meson

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

ifeq ($(shell dpkg --print-architecture), i386)
  bits := 32
else
  bits := 64
endif

override_dh_auto_build-arch:
	dh_auto_build
	make -C sample BIT=$(bits)
	make -C test BIT=$(bits)

override_dh_auto_test:
	dh_auto_test
	uname -m
	dpkg --print-architecture
	make -C test BIT=$(bits) test

override_dh_auto_clean:
	dh_auto_clean
	make -C sample BIT=$(bits) clean
	make -C test BIT=$(bits) clean
	$(RM) gen/gen_avx512 gen/gen_code gen/sortline

endif
