=== debian/changelog ===
xbyak (6.61.2-1) unstable; urgency=medium

  * New upstream version 6.61.2

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 19 Aug 2022 00:56:44 +0200
