=== gen/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 TARGET=../xbyak/xbyak_mnemonic.h
 BIN=sortline gen_code gen_avx512
 CFLAGS=-I../ -O2 -DXBYAK_NO_OP_NAMES -Wall -Wextra -Wno-missing-field-initializers $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)
-all: $(TARGET) ../CMakeLists.txt ../meson.build
+all: $(TARGET) ../CMakeLists.txt ../meson.build ../readme.md ../readme.txt
 sortline: sortline.cpp
 	$(CXX) $(CFLAGS) $< -o $@
 gen_code: gen_code.cpp ../xbyak/xbyak.h avx_type.hpp
@@ -29,5 +29,11 @@
 ../meson.build: $(TARGET)
 	sed -i -e "s/version: '[0-9.]*',/version: '$(VER)',/" $@
 
+../readme.md: $(TARGET)
+	sed -l 2 -i -e "s/# Xbyak [0-9.]*/# Xbyak $(VER)/" $@
+
+../readme.txt: $(TARGET)
+	sed -l 2 -i -e "s/Xbyak [0-9.]*/Xbyak $(VER)/" $@
+
 clean:
 	$(RM) $(BIN) $(TARGET)
