=== debian/changelog ===
xbyak (6.63-1) unstable; urgency=medium

  * New upstream version 6.63

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 09 Oct 2022 13:16:09 +0200

xbyak (6.62-1) unstable; urgency=medium

  * New upstream version 6.62
  * d/rules: use execute_after_*

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 17 Sep 2022 14:10:45 +0200
