=== debian/rules ===
--- 
+++ 
@@ -15,19 +15,14 @@
   bits := 64
 endif
 
-override_dh_auto_build-arch:
-	dh_auto_build
+execute_after_dh_auto_build-arch:
 	make -C sample BIT=$(bits)
 	make -C test BIT=$(bits)
 
-override_dh_auto_test:
-	dh_auto_test
-	uname -m
-	dpkg --print-architecture
+execute_after_dh_auto_test:
 	make -C test BIT=$(bits) test
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	make -C sample BIT=$(bits) clean
 	make -C test BIT=$(bits) clean
 	$(RM) gen/gen_avx512 gen/gen_code gen/sortline
