=== debian/changelog ===
xbyak (6.64-2) unstable; urgency=medium

  * d/patches: x32 support

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Nov 2022 15:26:15 +0100

xbyak (6.64-1) unstable; urgency=medium

  * New upstream version 6.64

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 06 Nov 2022 22:04:09 +0100
