=== debian/changelog ===
xbyak (6.65-1) unstable; urgency=medium

  * New upstream version 6.65
  * d/patches: drop upstreamed patches
  * d/rules: use DEB_HOST_ARCH_BITS for pointer size

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 24 Nov 2022 16:23:34 +0100
