=== sample/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 XBYAK_INC=../xbyak/xbyak.h
+CXX?=g++
 
-BOOST_EXIST=$(shell echo "\#include <boost/spirit/core.hpp>" | (gcc -E - 2>/dev/null) | grep "boost/spirit/core.hpp" >/dev/null && echo "1")
+#BOOST_EXIST=$(shell echo "#include <boost/spirit/core.hpp>" | $CXX -x c++ -c - 2>/dev/null && echo 1)
+# I don't know why the above code causes an error on GitHub action.
+BOOST_EXIST?=0
 UNAME_M=$(shell uname -m)
 
 ONLY_64BIT=0
@@ -104,7 +107,7 @@
 	$(CXX) $(CFLAGS) profiler.cpp -o $@ -DXBYAK_USE_VTUNE -I /opt/intel/vtune_amplifier/include/ -L /opt/intel/vtune_amplifier/lib64 -ljitprofiling -ldl
 
 clean:
-	rm -rf *.o $(TARGET) *.exe profiler profiler-vtune
+	rm -rf $(TARGET) profiler profiler-vtune
 
 test : test0.cpp $(XBYAK_INC)
 test64: test0.cpp $(XBYAK_INC)
