=== debian/changelog ===
xbyak (6.66-1) unstable; urgency=medium

  * New upstream version 6.66

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 28 Nov 2022 15:24:52 +0100
