=== debian/changelog ===
xbyak (6.67-1) unstable; urgency=medium

  * New upstream version 6.67

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 01 Dec 2022 20:04:53 +0100
