=== debian/changelog ===
xbyak (6.68-1) unstable; urgency=medium

  * New upstream version 6.68

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 14 Dec 2022 18:24:27 +0100
