=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libdevel
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.50),
-               cmake
-Build-Depends-Arch: g++-multilib <!nocheck>,
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: meson (>= 0.50),
+                    cmake,
+                    g++-multilib <!nocheck>,
                     libboost-dev <!nocheck>,
                     nasm <!nocheck>,
                     yasm <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/herumi/xbyak
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/xbyak.git
