=== debian/changelog ===
xbyak (6.69.2-1) unstable; urgency=medium

  * New upstream version 6.69.2
  * Upload to unstable

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 04 Jul 2023 15:11:18 +0200

xbyak (6.69.1-1) experimental; urgency=medium

  * New upstream version 6.69.1

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 22 May 2023 01:18:41 +0200
