=== debian/changelog ===
xbyak (6.70-1) unstable; urgency=medium

  * New upstream version 6.70

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 11 Jul 2023 17:03:25 +0200
