=== debian/changelog ===
xbyak (6.73-1) unstable; urgency=medium

  * New upstream version 6.73
    - Huge pages support
    - Add sha512/sm3/sm4/avx-vnni-int16
    - Add xbegin/xabort/xend

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 12 Sep 2023 15:32:15 +0200
