=== debian/changelog ===
xbyak (7.02-1) unstable; urgency=medium

  * New upstream version 7.02
  * Upload to unstable
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 24 Dec 2023 13:13:15 +0100

xbyak (7.00-1) experimental; urgency=medium

  * New upstream version 7.00
  * d/patches: fix tests on 32 bit systems

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 11 Dec 2023 19:49:37 +0100
