=== debian/changelog ===
xbyak (7.05-1) unstable; urgency=medium

  * New upstream version 7.05

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 12 Jan 2024 10:01:26 +0100
