=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                     libboost-dev <!nocheck>,
                     nasm <!nocheck>,
                     yasm <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/herumi/xbyak
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/xbyak.git
