=== debian/changelog ===
xbyak (7.07.1-1) unstable; urgency=medium

  * New upstream version 7.07.1
    - Closes: #1080144
  * First dgit upload
  * d/README.source: document packaging workflow
  * d/control: declare dpkg-build-api = 1
  * d/control: apply X-Style: black

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 02 Sep 2024 09:49:39 +0200
