=== debian/changelog ===
xbyak (7.22-1) unstable; urgency=low

  * New upstream version 7.22

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 14 Jan 2025 23:22:26 +0100
