=== debian/changelog ===
xbyak (7.24.2-3) unstable; urgency=medium

  * d/patches: update revert-strict-register-size-check.patch.
    Also disable a ERR_BAD_SIZE_OF_REGISTER check, which causes runtime
    failures in yuzu

 -- Andrea Pappacoda <tachi@debian.org>  Sat, 26 Apr 2025 01:40:07 +0200

xbyak (7.24.2-2) unstable; urgency=medium

  * d/patches: revert strict register size check (Closes: #1101630)

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 02 Apr 2025 16:12:08 +0200

xbyak (7.24.2-1) unstable; urgency=low

  * New upstream version 7.24.2
  * d/control: use my @debian.org email address
  * d/{control,rules}: use cross toolchain instead of multilib.
    Thanks to Helmut for the suggestion!
  * d/patches: allow overriding $CXX -m32 and -m64

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 26 Mar 2025 12:28:10 +0100
