=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: xbyak
 Section: libdevel
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-build-api (= 1),
 Build-Depends-Arch:
  cmake,
- g++-multilib <!nocheck>,
+ g++-i686-linux-gnu [amd64] <!nocheck>,
+ g++-x86-64-linux-gnu [i386] <!nocheck>,
+ lib32stdc++6 [amd64] <!nocheck>,
  libboost-dev <!nocheck>,
+ libc6-i386 [amd64] <!nocheck>,
  meson (>= 0.50),
  nasm <!nocheck>,
  yasm <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/herumi/xbyak
 Vcs-Git: https://salsa.debian.org/debian/xbyak.git
 Vcs-Browser: https://salsa.debian.org/debian/xbyak
